Subject: Re: Automake 1.4l released
From: Robert Collins <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: [email-masked], [email-masked], Bernard Dautrevaux <[email-masked]>, "'Tim Van Holder'" <[email-masked]>, [email-masked]
Date: 15 Aug 2001 12:34:38 +1000

On 14 Aug 2001 22:30:48 -0400, Charles Wilson wrote:
> Robert Collins wrote:
> 
> > On 14 Aug 2001 19:04:11 -0600, Tom Tromey wrote:
> >>
> >>True.  As far as I know nobody ever tried `make distcheck' on Cygwin
> >>before.  In fact this is the first time I've heard of anybody using
> >>Cygwin as their primary maintainer platform for an automake-using
> >>project.
> >>
> > 
> > I did 90% of my squid automake conversion (waiting for automake 1.5
> > before it can be considered for squid-HEAD merging) on cygwin. make
> > distcheck worked fine with no errors (once other issues with distcheck
> > were solved - but they weren't cygwin-specific).
> > 
> > I haven't piped up to now, cause I had nothing to offer on this bug...
> > however for the record:
> > 
> > This cp -p error on (cygwin/ntfs/ntsec on), while interesting, is either
> > a) new due to changes in cygwin since I did the squid automake stuff (ie
> > in last 3-4 months)
> > b) interesting, but not the core reason for distcheck failing.
> 
> Nope.  It actually seems to be due to a change in automake.  Apparently, 
> make distcheck did not previously 'chmod -R a-w'.  At least, that's how 
> I interpret Alexandre Duret-Lutz's email on the automake list:
> 
>  > chmod -R a-w is done by the distcheck target (not distdir) to
>  > make sure a distribution can work even from a read-only
>  > filesystem (such as a CDROM).  This test was not done in 1.4.

I never used automake 1.4. I needed the sub-dir objects only available
in CVS HEAD at that time.

> "This test" being the "remove all write perms and pretend we're on a 
> CDROM".  (Sure, 'make distcheck' existed in 1.4, but not with the a-w 
> thing).
> 
> So, when you were using automake with squid, you still had write perms 
> on the files and thus 'cp -p' worked without problems.

If that were true... I wouldn't have had to change where squid extracts
its icons from during a test build.

> Hypothesis: if you built and installed automake-1.4l, and then tried to 
> re-autotool your squid source tree, it would fail make distcheck even if 
> you use the same cygwin1.dll that you were using 3-4 months ago.

See above :]
Rob

> --Chuck
> 
-- 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/